## keyman 18.0.199

=== debian/changelog ===
keyman (18.0.199-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Feb 2025 14:17:40 -0500

keyman (18.0.199-1) unstable; urgency=medium

  * closes: 1092463
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Tue, 25 Feb 2025 14:57:28 +0100

=== debian/control ===
Source: keyman
Section: text
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Keyman team <support@keyman.com>,
 Eberhard Beilharz <eb1@sil.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 gawk,
 gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
 ibus,
 libevdev-dev,
 libgtk-3-dev,
 libibus-1.0-dev (>= 1.2),
 libicu-dev,
 libjson-glib-dev (>= 1.4.0),
 liblocale-gettext-perl,
 libsystemd-dev,
 meson (>= 1.0),
 metacity,
 ninja-build,
 perl,
 pkgconf,
 python3-all (>= 3.5),
 python3-dbus,
 python3-fonttools,
 python3-gi,
 python3-lxml,
 python3-magic,
 python3-numpy,
 python3-packaging,
 python3-pil,
 python3-pip,
 python3-qrcode,
 python3-requests-cache,
 python3-requests,
 python3-sentry-sdk (>= 1.1),
 python3-setuptools,
 python3-xdg,
 xserver-xephyr,
 xvfb,
Standards-Version: 4.7.1
Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
Homepage: https://www.keyman.com
Rules-Requires-Root: binary-targets

Package: keyman
Architecture: all
Depends:
 libglib2.0-bin,
 python3-keyman-config (= ${binary:Version}),
 ibus-keyman (>= ${binary:Version}),
 ibus-keyman (<< ${binary:Version}.1~),
 ${misc:Depends},
Recommends:
 onboard-keyman,
Description: Type in your language with Keyman for Linux
 Keyman makes it possible for you to type in over 2,000 languages on Windows,
 macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly
 in your web browser. With the world's most powerful keyboarding engine,
 intuitive and rapid text input is now possible in your language, and for
 over 99% of the global population's mother tongues!
 .
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 Install, uninstall and view information about Keyman keyboard
 packages.
 .
 This package depends on all that is needed for using Keyman
 for Linux.

Package: python3-keyman-config
Section: python
Architecture: all
Depends:
 dbus-x11,
 dconf-cli,
 gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
 keyman-engine,
 python3-bs4,
 python3-fonttools,
 python3-gi,
 python3-packaging,
 python3-sentry-sdk (>= 1.1),
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Description: Keyman for Linux configuration
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 This package contains the Python module to install, uninstall and view
 information about Keyman keyboard packages.

Package: libkeymancore-dev
Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
Section: libdevel
Depends:
 libicu-dev,
 libkeymancore2 (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libkmnkbp-dev
Replaces: libkmnkbp-dev
Multi-Arch: same
Description: Development files for Keyman keyboard processing library
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard layout
 for their language. Keyman is available for many platforms, including Windows,
 macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 The Keyman core library processes input from input method engines
 and applies rules from compiled Keyman keyboard files.
 .
 This package contains development headers and libraries.

Package: libkeymancore2
Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 keyman,
Conflicts: libkmnkbp0-0, libkeymancore, libkeymancore1
Replaces: libkmnkbp0-0, libkeymancore, libkeymancore1
Multi-Arch: same
Description: Keyman keyboard processing library
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard layout
 for their language. Keyman is available for many platforms, including Windows,
 macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 The Keyman core library processes input from input method engines
 and applies rules from compiled Keyman keyboard files.

Package: ibus-keyman
Architecture: amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el riscv64
Depends:
 ibus (>= 1.3.7),
 libkeymancore2 (= ${binary:Version}),
 keyman-system-service (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 keyman-engine
Description: Keyman engine for IBus
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 ibus-keyman is a IM (input method) Engine for multiple languages, based on
 IBus.
 .
 This package provides the Keyman IM engine for IBus. With this module, you
 can use keyboard layouts designed for Keyman under the IBus platform.

Package: keyman-system-service
Architecture: any
Depends:
  libevdev2,
  ${misc:Depends},
  ${shlibs:Depends},
Description: System service for Keyman
 Originally created in 1993 to type Lao on Windows, Keyman is now a free and
 open source keyboarding platform which allows anyone to write a keyboard
 layout for their language. Keyman is available for many platforms, including
 Windows, macOS, iOS, Android, Linux and the web.
 .
 Keyboard layouts are defined with a clear and easy to understand keyboard
 grammar. Keyman's contextual input model means keyboard layouts can be
 intelligent and make it simple to type even the most complex languages.
 Keyboard layouts are distributed through an open catalog to all major desktop
 and mobile platforms.
 .
 This package provides a DBus/systemd system service as a helper for
 running Keyman with Wayland.

## keyman 18.0.227

=== debian/changelog ===
keyman (18.0.227-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Fri, 04 Apr 2025 15:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  perl,
  pkgconf,
  python3-all (>= 3.5),
+ python3-build,
  python3-dbus,
  python3-fonttools,
  python3-gi,
@@ -39,10 +40,11 @@
  python3-requests,
  python3-sentry-sdk (>= 1.1),
  python3-setuptools,
+ python3-venv,
  python3-xdg,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
 Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
 Homepage: https://www.keyman.com

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://downloads.keyman.com/linux/beta/@ANY_VERSION@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## keyman 18.0.235

=== debian/changelog ===
keyman (18.0.235-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 23 Apr 2025 11:21:04 +0200

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
  xserver-xephyr,
  xvfb,
 Standards-Version: 4.7.2
-Vcs-Git: https://github.com/keymanapp/keyman.git -b beta [linux/debian]
-Vcs-Browser: https://github.com/keymanapp/keyman/tree/beta/linux/debian
+Vcs-Git: https://github.com/keymanapp/keyman.git -b stable-18.0 [linux/debian]
+Vcs-Browser: https://github.com/keymanapp/keyman/tree/stable-18.0/linux/debian
 Homepage: https://www.keyman.com
 Rules-Requires-Root: binary-targets

## keyman 18.0.236

=== debian/changelog ===
keyman (18.0.236-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 12 May 2025 16:00:42 +0200

## keyman 18.0.238

=== debian/changelog ===
keyman (18.0.238-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 04 Jun 2025 19:14:08 +0200

## keyman 18.0.240

=== debian/changelog ===
keyman (18.0.240-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 27 Aug 2025 18:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eberhard Beilharz <eb1@sil.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gawk,
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,

## keyman 18.0.241

=== debian/changelog ===
keyman (18.0.241-1) unstable; urgency=medium

  * remove onboard-keyman recommends (closes: 1115423)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 18 Sep 2025 11:35:01 +0200

## keyman 18.0.242

=== core/meson_options.txt ===
option('keyman_core_tests', type: 'boolean', value: true)

=== linux/ibus-keyman/meson_options.txt ===
option('keyman_deb_pkg_build', type: 'boolean', value: false, description: 'Building .deb package?')

=== linux/keyman-config/Makefile ===
#!/usr/bin/make

default:
	./build.sh clean build

install:
	./build.sh install

uninstall: # run as sudo
	./build.sh uninstall

clean:
	./build.sh clean

check:
	./build.sh test

dist: clean version
	# TODO: remove this if when we no longer support Ubuntu 22.04 Jammy
	if dpkg --compare-versions "$(lsb_release -r -s)" lt 24.04; then \
		python3 setup.py sdist ; \
	else \
		python3 -m build --outdir build --sdist ; \
	fi

deb: dist
	@VERSION=$(shell echo `basename dist/*.gz .tar.gz|cut -d "-" -f2` > /tmp/keyman_version)
	@echo VERSION is $(shell cat /tmp/keyman_version)
	@mkdir -p make_deb
	cd make_deb && tar xf ../dist/keyman_config-$(shell cat /tmp/keyman_version).tar.gz && \
		mv keyman_config-$(shell cat /tmp/keyman_version) keyman-config-$(shell cat /tmp/keyman_version) && \
		tar cfz keyman-config_$(shell cat /tmp/keyman_version).orig.tar.gz keyman-config-$(shell cat /tmp/keyman_version) && \
		cd keyman-config-$(shell cat /tmp/keyman_version) && cp -a ../../../debian . && dch -v$(shell cat /tmp/keyman_version)-1 ""
	cd make_deb/keyman-config-$(shell cat /tmp/keyman_version) && debuild -us -uc
	rm /tmp/keyman_version

man:
	./build-help.sh --man --no-reconf

version_reconf:
	cd .. && ./scripts/reconf.sh

version: version_reconf
	$(eval VERSION := $(shell python3 -c "from keyman_config import __releaseversion__; print(__releaseversion__)"))

# i18n

POFILES := $(shell find locale -name \*.po)
MOFILES := $(POFILES:.po=/LC_MESSAGES/keyman-config.mo)

update-template: version
	xgettext --package-name "keyman" --package-version "$(VERSION)" \
		--msgid-bugs-address "<support@keyman.com>" --copyright-holder "SIL Global" \
		--language=Python --directory=. --output-dir=locale --output=keyman-config.pot \
		--add-comments=i18n: --sort-by-file --width=98 \
		keyman_config/*.py km-*

update-po: $(POFILES)

locale/%.po: locale/keyman-config.pot
	msgmerge --update --width=98 $@ $^

$(MOFILES): %/LC_MESSAGES/keyman-config.mo: %.po
	mkdir -p $(dir $@)
	msgfmt -v --check --output-file=$@ $^

compile-po: $(MOFILES)

=== debian/changelog ===
keyman (18.0.242-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 29 Sep 2025 11:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -58,8 +58,6 @@
  ibus-keyman (>= ${binary:Version}),
  ibus-keyman (<< ${binary:Version}.1~),
  ${misc:Depends},
-Recommends:
- onboard-keyman,
 Description: Type in your language with Keyman for Linux
  Keyman makes it possible for you to type in over 2,000 languages on Windows,
  macOS, Linux, iPhone, iPad, Android tablets and phones, and even instantly

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DH_OPTIONS = -v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=keyman-config
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/keyman-config/

export KEYMAN_PKG_BUILD=1

export HOME=$(shell mktemp -d)
export XDG_DATA_HOME=$(shell mktemp -d)
export XDG_CONFIG_HOME=$(shell mktemp -d)

# xenial needs this to be explicit
export LC_ALL=C.UTF-8

include /usr/share/dpkg/pkg-info.mk

# Unfortunately dh-python 3.20180325 (bionic) doesn't provide the virtual dh-sequence-python3
# package, so we'll have to pass --with-python3 here
%:
	dh $@ --with-python3

override_dh_auto_configure:
	# keyman core - we need to configure and build core before
	# we can configure ibus-keyman!
	core/build.sh --no-tests configure:arch build:arch -- \
		--wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc \
		--localstatedir=/var --libdir=lib/$(DEB_TARGET_MULTIARCH) \
		--libexecdir=lib/$(DEB_TARGET_MULTIARCH)
	linux/keyman-system-service/build.sh configure -- \
		--wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc --localstatedir=/var
	linux/ibus-keyman/build.sh configure -- \
		--wrap-mode=nodownload --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
		 -Dkeyman_deb_pkg_build=true
	linux/keyman-config/build.sh configure

override_dh_auto_build:
	cp linux/keyman-config/resources/keyman.sharedmimeinfo debian/
	core/build.sh --no-tests build:arch
	linux/keyman-system-service/build.sh build
	linux/ibus-keyman/build.sh build
	linux/keyman-config/build.sh build
	cd linux/keyman-config && \
		sed -i -e "s/^__pkgversion__ = \"[^\"]*\"/__pkgversion__ = \"$(DEB_VERSION)\"/g" keyman_config/version.py && \
		make compile-po

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	core/build.sh --no-tests test:arch
	linux/keyman-system-service/build.sh test
	linux/ibus-keyman/build.sh test
	linux/keyman-config/build.sh test
endif

override_dh_auto_install:
	install -d $(CURDIR)/debian/tmp
	DESTDIR=$(CURDIR)/debian/tmp core/build.sh --no-tests install:arch
	DESTDIR=$(CURDIR)/debian/tmp linux/keyman-system-service/build.sh install
	DESTDIR=$(CURDIR)/debian/tmp linux/ibus-keyman/build.sh install
	# keyman-config
	install -d $(CURDIR)/debian/keyman/usr/share/
	cp -r linux/keyman-config/locale/ $(CURDIR)/debian/keyman/usr/share/
	rm $(CURDIR)/debian/keyman/usr/share/locale/*.po*
	# Don't call `build.sh install` - dh_auto_install does some extra smarts
	dh_auto_install --sourcedir=linux/keyman-config --buildsystem=pybuild $@
	# Unfortunately bash-completion 2.10 (focal) doesn't yet provide dh-sequence-bash-completion,
	# which we could add as build-dependency, so we'll have to explicitly call
	# dh_bash_completion here instead of using `dh $@ --with-python3 --with bash-completion`
	dh_bash-completion -O--buildsystem=pybuild
	dh_python3 -O--buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	core/build.sh clean
	linux/keyman-system-service/build.sh clean
	linux/ibus-keyman/build.sh clean
	linux/keyman-config/build.sh clean
	rm -rf .pybuild/
	dh_auto_clean $@

=== debian/tests/control ===
Tests: test-build
Depends: @,
 build-essential,
 pkg-config,
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://downloads.keyman.com/linux/stable/@ANY_VERSION@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## keyman 18.0.243

=== debian/changelog ===
keyman (18.0.243-1) unstable; urgency=medium

  * replace dbus-x11 dependency with default-dbus-session-bus | dbus-session-bus
    (closes: 1117068)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 15 Oct 2025 12:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -86,7 +86,7 @@
 Section: python
 Architecture: all
 Depends:
- dbus-x11,
+ default-dbus-session-bus | dbus-session-bus,
  dconf-cli,
  gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
  keyman-engine,

## keyman 18.0.244

=== linux/Makefile ===
#!/usr/bin/make

default: # builds only
	BUILDONLY="yes" ./scripts/build.sh

clean:
	rm -rf build-*

reconf: clean
	./scripts/reconf.sh

configure:
	CONFIGUREONLY="yes" ./scripts/build.sh

fullbuild: # configure and build
	./scripts/build.sh

tmpinstall: reconf
	INSTALLDIR="/tmp/keyman" ./scripts/build.sh
	INSTALLDIR="/tmp/keyman" ./scripts/install.sh

install: # run as sudo
	SUDOINSTALL="yes" ./scripts/install.sh

uninstall: # run as sudo
	SUDOINSTALL="uninstall" ./scripts/install.sh

sources:
	./scripts/dist.sh

tmpsources:
	PKG_CONFIG_PATH="../../core/build/arch/release/meson-private" ./scripts/dist.sh

origdist:
	./scripts/dist.sh origdist

sourcepackage: reconf origdist
	./scripts/deb.sh

nightlydist: reconf sources
	echo "Built nightly source release in dist/"

check:
	cd keyman-config && ./run-tests.sh
	cd ibus-keyman && ./build.sh test

tmpcheck: check

tests: check

=== debian/changelog ===
keyman (18.0.244-1build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 14:37:13 +0100

keyman (18.0.244-1) unstable; urgency=medium

  * replace dbus-x11 dependency with default-dbus-session-bus | dbus-session-bus
    (closes: 1117068)
  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Mon, 10 Nov 2025 17:31:32 +0100

## keyman 18.0.245

=== debian/changelog ===
keyman (18.0.245-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Thu, 04 Dec 2025 10:18:49 +0100

## keyman 18.0.246

=== debian/changelog ===
keyman (18.0.246-1) unstable; urgency=medium

  * New upstream release.

 -- Eberhard Beilharz <eb1@sil.org>  Wed, 04 Feb 2026 13:48:31 +0100
